{
    "jupyter.interactiveWindow.textEditor.executeSelection": true,
    "python.REPL.sendToNativeREPL": true,
    "notebook.output.scrolling": true,
    "terminal.integrated.defaultProfile.linux": "bash",
    "editor.rulers": [67],
    "terminal.integrated.profiles.linux": {
        "bash": {
            "path": "/bin/bash"
        }
    },
    "python.testing.unittestEnabled": false,
    "python.testing.pytestEnabled": true,
    "python.testing.pytestArgs": ["-s", "-q", "--no-cov"],

    "python.languageServer": "Pylance",
    "python.analysis.typeCheckingMode": "strict",
    "python.analysis.autoSearchPaths": true,
    "python.analysis.extraPaths": ["./src"],

    "vim.useCtrlKeys": true,
    "vim.handleKeys": {
        "<C-c>": false,
        "<C-v>": false
    }

    // Hot reload setting that needs to be in user settings
    // "jupyter.runStartupCommands": [
    //     "%load_ext autoreload", "%autoreload 2"
    // ]


}